curl --request GET \
--url https://api.extole.io/v5/persons/{person_id}/rewards \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v5/persons/{person_id}/rewards"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v5/persons/{person_id}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.extole.io/v5/persons/{person_id}/rewards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.extole.io/v5/persons/{person_id}/rewards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.extole.io/v5/persons/{person_id}/rewards")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.extole.io/v5/persons/{person_id}/rewards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"campaign_id": "<string>",
"code": "<string>",
"container": "<string>",
"created_date": "2025-10-24T02:00:00-07:00",
"data": {},
"earned_date": "2025-10-24T02:00:00-07:00",
"expiry_date": "2025-10-24T02:00:00-07:00",
"face_value": 123,
"face_value_type": "AUD",
"id": "<string>",
"image": "https://www.extole.com/wp-content/uploads/2023/07/Extole-logo.svg",
"instructions": "<string>",
"journey_key": {
"name": "<string>",
"value": "<string>"
},
"journey_name": "<string>",
"link": "https://www.extole.com",
"name": "<string>",
"partner_reward_id": "<string>",
"partner_reward_supplier_id": "<string>",
"program": "<string>",
"redeemed_date": "2025-10-24T02:00:00-07:00",
"reward_supplier_id": "<string>",
"sandbox": "<string>",
"state": "CANCELED",
"tags": [
"<string>"
],
"updated_date": "2025-10-24T02:00:00-07:00",
"value_of_rewarded_event": 123
}
]List person rewards
Returns all rewards for the specified person, sorted by created date in descending order. Supports filtering by state, supplier type, and date range.
curl --request GET \
--url https://api.extole.io/v5/persons/{person_id}/rewards \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v5/persons/{person_id}/rewards"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v5/persons/{person_id}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.extole.io/v5/persons/{person_id}/rewards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.extole.io/v5/persons/{person_id}/rewards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.extole.io/v5/persons/{person_id}/rewards")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.extole.io/v5/persons/{person_id}/rewards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"campaign_id": "<string>",
"code": "<string>",
"container": "<string>",
"created_date": "2025-10-24T02:00:00-07:00",
"data": {},
"earned_date": "2025-10-24T02:00:00-07:00",
"expiry_date": "2025-10-24T02:00:00-07:00",
"face_value": 123,
"face_value_type": "AUD",
"id": "<string>",
"image": "https://www.extole.com/wp-content/uploads/2023/07/Extole-logo.svg",
"instructions": "<string>",
"journey_key": {
"name": "<string>",
"value": "<string>"
},
"journey_name": "<string>",
"link": "https://www.extole.com",
"name": "<string>",
"partner_reward_id": "<string>",
"partner_reward_supplier_id": "<string>",
"program": "<string>",
"redeemed_date": "2025-10-24T02:00:00-07:00",
"reward_supplier_id": "<string>",
"sandbox": "<string>",
"state": "CANCELED",
"tags": [
"<string>"
],
"updated_date": "2025-10-24T02:00:00-07:00",
"value_of_rewarded_event": 123
}
]Authorizations
Path Parameters
The Extole unique profile identifier of this user at Extole.
Query Parameters
Optional campaign id filter. Will include rewards that match at least one of the campaign ids.
Optional program label filter. Will include rewards that match at least one of the programs.
Optional containers filter. Will include rewards for all containers if not specified or match at least one of the specified containers.
Optional data keys filter. Will include rewards that match at least one of the data keys.
Optional filter for existence of specific data values. Will include rewards that have at least one of the specified data name-value pair. Valid format is name:value.
Optional reward types filter. Will include rewards that match at least one of the reward types.
CUSTOM_REWARD, MANUAL_COUPON, SALESFORCE_COUPON, TANGO_V2 Optional reward states filter. Will include rewards that match at least one of the reward states.
CANCELED, EARNED, EXPIRED, FAILED, FULFILLED, REDEEMED, REVOKED, SENT Optional offset filter, defaults to 0.
Optional limit filter, defaults to 100.
Optional journey names filter. Will include rewards that match at least one of the journey names.
Optional journey key names filter. Will include rewards, whose journey key matches one of the journey key names.
Optional journey key values filter. Will include rewards that have one of the specified journey keys. Valid format is name:value.
Response
Successful response
Extole campaign id associated with this reward.
The reward code, that could be used in order to redeem the reward.
Campaign container the reward belongs to.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
Named data parameters attached to this reward.
Show child attributes
Show child attributes
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
Monetary or point face value of the reward.
Unit type of the face value (e.g. POINTS, PERCENT_OFF, USD).
AUD, BRL, CAD, CNY, EUR, GBP, HKD, INR, JPY, KRW, MONTH, MXN, NZD, PERCENT_OFF, POINTS, TRY, TWD, USD Extole-assigned unique identifier for this reward.
An image associated with the reward. E.g.: a brand image.
"https://www.extole.com/wp-content/uploads/2023/07/Extole-logo.svg"
Instructions on how to redeem the reward.
Show child attributes
Show child attributes
Name of the journey associated with this reward.
A link associated with the reward. E.g.: a reward redemption link.
"https://www.extole.com"
Display name of the reward.
Partner-assigned identifier for this reward at the partner's system.
Partner-assigned identifier for the reward supplier.
Program key under which the reward was issued.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
Extole reward supplier id that issued this reward.
Sandbox identifier for this reward.
Current lifecycle state of the reward.
CANCELED, EARNED, EXPIRED, FAILED, FULFILLED, REDEEMED, REVOKED, SENT Tags applied to this reward.
Tags applied to this reward.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
Monetary value of the event that triggered this reward.
Was this page helpful?
